import request from '@/common/request.js'

// 根据字典类型查询字典数据信息
export const getDicts = (dictType) => {
  return request({
    url: '/api/system/dict/data/common/type/' + dictType,
    method: 'get',
  })
}

// 业务字典查询
export const ObjdictList = (query) => {
  return request({
    url: '/api/system/dict/type/objdict',
    method: 'get',
    data: query
  })
}


// 地区查询
export const GetChildListByCode = (query) => {
  return request({
    url: '/api/system/jlDept/getChildListByCode',
    method: 'get',
    data: query
  })
}

// 通过园区mchnt查询地区
export const getChildListByMchnt = (data) => {
  return request({
    url: '/api/system/jlDept/getChildListByMchnt',
    method: 'get',
    data: data
  })
}